# Update User

> Updates the information about the specified local user.

Updates the information about the specified local user.

## API Endpoint

`PUT` `https://{yourDomain}/identity/api/User/{userId}`

## Scopes

Requires the following scopes:

* PM.User
* PM.User.Write

## Request Headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described [here](https://docs.uipath.com/orchestrator/standalone/2023.10/api-guide/authentication-methods#authentication-methods).
:::

## Path Parameters

| Param | Data type | Description |
| --- | --- | --- |
| `userId`  (required) | String | The ID of the user you want to update. |

## Request Body

The request body contains the user information you want to update, such as name, email, or group membership.

```
{
  "name": "string",
  "surname": "string",
  "email": "user@example.com",
  "isActive": true,
  "password": "string",
  "groupIDsToAdd": [
    "string"
  ],
  "groupIDsToRemove": [
    "string"
  ],
  "bypassBasicAuthRestriction": true,
  "invitationAccepted": true
}
```

## Responses

### 200 OK

The custom group is updated with the information you provided.

### 400 Bad Request

Could not perform the update.

```
{
    "errors": {
        "bypassBasicAuthRestriction": [
            "Unexpected character encountered while parsing value: h. Path 'bypassBasicAuthRestriction', line 17, position 35.",
            "Unexpected character encountered while parsing value: a. Path 'bypassBasicAuthRestriction', line 17, position 35."
        ]
    },
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "One or more validation errors occurred.",
    "status": 400,
    "traceId": "00-aec3de9099a9934e9c31e26c19f5e0dd-8c0d3d5f476c7742-00"
}
```

## Example Request

Let's say you gathered all the information needed to build the API call.

* Your `{baseURL}` is: https://{yourDomain}/identity
* Your `{access_token}` is: `1234` (for length considerations).
* You want to update the information and membership of user ID `her-1909`.

The call should resemble the following example (cURL):

```
curl --location --request PUT 'https://{yourDomain}/identity/api/User/her-1909' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
    "name": "Hermione",
    "surname": "Granger-Weasley",
    "email": "hermione@hogwarts.com",
    "groupIDsToAdd": [
        "gryff-01",
        "alumni-02",
        "teachers-03"
    ],
    "groupIDsToRemove": [],
    "bypassBasicAuthRestriction": false
}'
```

Here is the response for a successful call:

```
{
    "succeeded": true,
    "errors": []
}
```
